Bug 2128310 - Please port your pcre dependency to pcre2. Pcre has been deprecated
Summary: Please port your pcre dependency to pcre2. Pcre has been deprecated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: i3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Čermák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2127507
TreeView+ depends on / blocked
 
Reported: 2022-09-20 12:58 UTC by Lukas Javorsky
Modified: 2022-10-02 02:43 UTC (History)
5 users (show)

Fixed In Version: i3-4.21-1.fc38 i3-4.21-1.fc37 i3-4.21-1.fc36 i3-4.21-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-22 15:38:27 UTC
Type: ---


Attachments (Terms of Use)

Description Lukas Javorsky 2022-09-20 12:58:10 UTC
Pcre has been deprecated since Fedora 38.
Please consider porting to the new pcre2 version.

Fedora change that describes the pcre deprecation is located here: https://fedoraproject.org/wiki/PcreDeprecation
FESCo approval is located here: https://pagure.io/fesco/issue/2862

If your component has already ported to pcre2 or you don't Require/BuildRequire any pcre subpackage, feel free to close this Bugzilla.
This Bugzilla was created automatically and some issues might have occurred along the way.

Comment 1 Ben Cotton 2022-09-20 13:46:18 UTC
Adding blocking relationship to BZ 2127507 (the Change tracker)

Comment 2 Fedora Update System 2022-09-22 15:36:42 UTC
FEDORA-2022-9e86e3f543 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9e86e3f543

Comment 3 Fedora Update System 2022-09-22 15:38:27 UTC
FEDORA-2022-9e86e3f543 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2022-09-22 15:39:30 UTC
FEDORA-2022-c08df40449 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c08df40449

Comment 5 Fedora Update System 2022-09-22 15:39:56 UTC
FEDORA-2022-ee6bd5f08b has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ee6bd5f08b

Comment 6 Fedora Update System 2022-09-23 01:49:22 UTC
FEDORA-2022-ee6bd5f08b has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ee6bd5f08b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ee6bd5f08b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-09-23 01:57:31 UTC
FEDORA-2022-c08df40449 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c08df40449`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c08df40449

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-23 06:27:53 UTC
FEDORA-2022-e8b82b3d93 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-e8b82b3d93

Comment 9 Fedora Update System 2022-09-24 01:43:25 UTC
FEDORA-2022-e8b82b3d93 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-e8b82b3d93`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-e8b82b3d93

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-09-27 00:15:41 UTC
FEDORA-2022-ee6bd5f08b has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-10-01 01:13:20 UTC
FEDORA-2022-c08df40449 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-10-02 02:43:10 UTC
FEDORA-2022-e8b82b3d93 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.